v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/sites/{siteId}/shipments/{shipmentId}/kits
Deprecated: Retrieves either all kits or a specific kit (if a kit number is provided) for a shipment. Rights: OrsSupplyManagerGet and OrsBlinded. Adds fields to return the kit description and packaging type.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
shipmentId(required): string(uuid)
ID of the shipment.
-
siteId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the clinical site.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
kitNumber(required): string
Kit/Lot number.
-
limit: string
Maximum number of records to display per page.Default Value:
100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : SiteShipmentKitsTO v2.0
Type:
objectTitle:
SiteShipmentKitsTO v2.0Response object containing kits of a shipment at a site.
Show Source
-
count: integer
(int64)
Total count of result
-
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
kits: array
kits
Title:
kitsKits belonging to the shipment at the site. -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
shipmentId: string
ID of the shipment.Example:
89EE76326E984B548D594D592E5C7FC2 -
totalResults: integer
(int64)
Total number of entities in response
Nested Schema : kits
Type:
arrayTitle:
kitsKits belonging to the shipment at the site.
Show Source
-
Array of:
object SiteKitTO v2.0
Title:
SiteKitTO v2.0Contains information about kit in a shipment.
Nested Schema : SiteKitTO v2.0
Type:
objectTitle:
SiteKitTO v2.0Contains information about kit in a shipment.
Show Source
-
barcode: string
Title:
BarcodeBarcode of the kit.Example:1236 -
deviceConnection: string
Title:
mHealth Device Connection TypeAllowed Values:[ "CloudtoCloud", "DevicetoCloud", "NoConnection" ]Connection type of the mHealth device.Example:CloudtoCloud -
deviceType: string
Title:
mHealth Device TypeAllowed Values:[ "ActivityWatch", "BloodPressureMonitor", "WeightScale", "ECGReader", "Spirometer", "MobileApp", "SmartPillBottle", "PulseOximeter", "WearablePatch", "Other", "GlucoseMonitor" ]Type of the mHealth device.Example:GlucoseMonitor -
id: string
Inventory ID.Example:
B1B8327AFAA6412287106192AB5984EF -
inventoryStatusId: integer
(int32)
Allowed Values:
[ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20 ]Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:5 -
kitDescription: string
Title:
Kit DescriptionKit description.Example:Kit A desc -
kitNumber: integer
(int32)
Kit/Lot number.Example:
5 -
kitTypeSrcId: string
Kit type ID.Example:
B1B8327AFAA6412287106192AB5984EF -
trialSupplyType: string
Title:
Package TypeAllowed Values:[ "BLISTERPACK", "BOTTLE", "DEVICE", "SYRINGE", "OINTMENT", "VIAL", "INHALER", "INFUSION", "BOX", "OTHER" ]Package type.Example:BOTTLE
Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid site ID', 'Invalid shipment ID'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object